%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Summary: Python bindings to the Pigment Media Center Toolkit
Name: pigment-python
Version: 0.3.11
Release: 1%{?dist}
License: LGPLv2+
Group: Applications/Multimedia
URL: http://elisa.fluendo.com/
Source: http://elisa.fluendo.com/static/download/pigment/pigment-python-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: gstreamer-python
Requires: pygtk2
Requires: pigment >= 0.3.16
BuildRequires: glib2-devel
BuildRequires: pigment-devel >= 0.3.16
BuildRequires: python-devel
BuildRequires: pygtk2-devel
BuildRequires: gstreamer-devel
BuildRequires: gstreamer-plugins-base-devel
BuildRequires: gtk2-devel
# For make check (disabled, as the gtk2 part requires a DISPLAY)
#BuildRequires: gstreamer-python, pygtk2

%description
Pigment is a toolkit for writing Media Center software.
These are the Python bindings for Pigment.


%prep
%setup -q


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot} _tmp
%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"
# Remove all *.la files
find %{buildroot} -name '*.la' -exec rm -f {} \;
# Move the examples back here to be included as %%doc
%{__mkdir} _tmp
%{__mv} %{buildroot}%{_datadir}/pigment-python/*/examples _tmp/


#check
# It would be useful to run this, unfortunately the python checks try to
# "import gtk.gdk" and fail because of "RuntimeError: could not open display"
#{__make} check


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO _tmp/examples/
%{python_sitelib}/pgm/
%{python_sitearch}/_pgm*.so
%{_datadir}/pigment-python/


%changelog
* Mon Apr  6 2009 Matthias Saou <http://freshrpms.net/> 0.3.11-1
- Update to 0.3.11.
- Update minimum pigment requirement to 0.3.16.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb  8 2009 Matthias Saou <http://freshrpms.net/> 0.3.10-2
- Update minimum pigment requirement to 0.3.14.

* Sat Feb  7 2009 Matthias Saou <http://freshrpms.net/> 0.3.10-1
- Update to 0.3.10.

* Tue Nov 11 2008 Matthias Saou <http://freshrpms.net/> 0.3.9-1
- Update to 0.3.9.

* Tue Sep 30 2008 Matthias Saou <http://freshrpms.net/> 0.3.8-1
- Update to 0.3.8.

* Tue Sep 16 2008 Matthias Saou <http://freshrpms.net/> 0.3.7-1
- Update to 0.3.7.

* Fri Sep 12 2008 Matthias Saou <http://freshrpms.net/> 0.3.6-1
- Update to 0.3.6.

* Tue Jul 29 2008 Matthias Saou <http://freshrpms.net/> 0.3.5-1
- Update to 0.3.5.

* Fri Jul 11 2008 Matthias Saou <http://freshrpms.net/> 0.3.4-1
- Update to 0.3.4.

* Tue Mar  4 2008 Matthias Saou <http://freshrpms.net/> 0.3.3-1
- Update to 0.3.3.

* Wed Feb 13 2008 Matthias Saou <http://freshrpms.net/> 0.3.2-2
- Add INSTALL="install -p" to the make install line, to preserve timestamps.

* Fri Feb  8 2008 Matthias Saou <http://freshrpms.net/> 0.3.2-1
- Update to 0.3.2.
- Set minimal pigment versions which can't be automatically set.
- Add missing gstreamer-devel build req, not pulled in by plugins-base-devel.
- Include the new examples in %%doc.

* Thu Jan 17 2008 Matthias Saou <http://freshrpms.net/> 0.3.1-1
- Initial RPM release, based on the current pigment spec file.

